ros-rolling-rosidl-cmake (5.1.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Nov 2025 23:00:00 -0000

ros-rolling-rosidl-cmake (5.1.0-1noble) noble; urgency=high

  * Export typing Information (#903 <https://github.com/ros2/rosidl/issues/903>)
  * remove deprecated rosidl_target_interfaces. (#898 <https://github.com/ros2/rosidl/issues/898>)
  * Contributors: Michael Carlstrom, Tomoya Fujita

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sat, 04 Oct 2025 22:00:00 -0000

ros-rolling-rosidl-cmake (5.0.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Jul 2025 22:00:00 -0000

ros-rolling-rosidl-cmake (5.0.0-1noble) noble; urgency=high

  * fix cmake <3.10 deprecation (#875 <https://github.com/ros2/rosidl/issues/875>)
  * Contributors: mosfet80

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 30 Jun 2025 22:00:00 -0000

ros-rolling-rosidl-cmake (4.10.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Apr 2025 22:00:00 -0000

ros-rolling-rosidl-cmake (4.9.4-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 17 Apr 2025 22:00:00 -0000

ros-rolling-rosidl-cmake (4.9.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 19 Dec 2024 23:00:00 -0000

ros-rolling-rosidl-cmake (4.9.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 24 Nov 2024 23:00:00 -0000

ros-rolling-rosidl-cmake (4.9.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 19 Nov 2024 23:00:00 -0000

ros-rolling-rosidl-cmake (4.9.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Oct 2024 22:00:00 -0000

ros-rolling-rosidl-cmake (4.8.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 24 Jun 2024 22:00:00 -0000

ros-rolling-rosidl-cmake (4.8.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 16 Jun 2024 22:00:00 -0000

ros-rolling-rosidl-cmake (4.7.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 25 Apr 2024 22:00:00 -0000

ros-rolling-rosidl-cmake (4.6.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 15 Apr 2024 22:00:00 -0000

ros-rolling-rosidl-cmake (4.5.2-1noble) noble; urgency=high

  * Improve deprecation notice of rosidl_target_interface to give a hint on how to update the code (#788 <https://github.com/ros2/rosidl/issues/788>)
  * Contributors: Alexis Paques

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 Mar 2024 23:00:00 -0000

ros-rolling-rosidl-cmake (4.5.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Feb 2024 23:00:00 -0000

ros-rolling-rosidl-cmake (4.5.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Dec 2023 23:00:00 -0000

ros-rolling-rosidl-cmake (4.4.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 05 Nov 2023 23:00:00 -0000

ros-rolling-rosidl-cmake (4.4.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 03 Oct 2023 22:00:00 -0000

ros-rolling-rosidl-cmake (4.4.0-1noble) noble; urgency=high

  * Add rosidl_find_package_idl helper function (#754 <https://github.com/ros2/rosidl/issues/754>)
  * Contributors: Mike Purvis

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 06 Sep 2023 22:00:00 -0000

ros-rolling-rosidl-cmake (4.3.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Aug 2023 22:00:00 -0000

ros-rolling-rosidl-cmake (4.3.0-1noble) noble; urgency=high

  * Remove unused splitting of .srv files in CMake (#753 <https://github.com/ros2/rosidl/issues/753>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Jul 2023 22:00:00 -0000

ros-rolling-rosidl-cmake (4.2.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Jun 2023 22:00:00 -0000

ros-rolling-rosidl-cmake (4.1.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 10 May 2023 22:00:00 -0000

ros-rolling-rosidl-cmake (4.1.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 27 Apr 2023 22:00:00 -0000

ros-rolling-rosidl-cmake (4.0.0-1noble) noble; urgency=high

  * Type Description Codegen and Typesupport  (rep2011) (#727 <https://github.com/ros2/rosidl/issues/727>)
  * Type hash in interface codegen (rep2011) (#722 <https://github.com/ros2/rosidl/issues/722>)
  * Contributors: Emerson Knapp

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-rolling-rosidl-cmake (3.4.0-1noble) noble; urgency=high

  * [service introspection] generate service_event messages (#700 <https://github.com/ros2/rosidl/issues/700>)
  * [rolling] Update maintainers - 2022-11-07 (#717 <https://github.com/ros2/rosidl/issues/717>)
  * Contributors: Audrow Nash, Brian

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 12 Feb 2023 23:00:00 -0000

ros-rolling-rosidl-cmake (3.3.1-1noble) noble; urgency=high

  * Skip rosidl_generate_interfaces dependency export on SKIP_INSTALL. (#708 <https://github.com/ros2/rosidl/issues/708>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 23:00:00 -0000

ros-rolling-rosidl-cmake (3.3.0-1noble) noble; urgency=high

  * Move rosidl_cmake Python module to a new package rosidl_pycommon (#696 <https://github.com/ros2/rosidl/issues/696>)
    Deprecate the Python module in rosidl_cmake and move the implementation to the new package rosidl_pycommon.
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Sep 2022 22:00:00 -0000

ros-rolling-rosidl-cmake (3.2.1-1noble) noble; urgency=high

  * Fix comment in camel case conversion function (#683 <https://github.com/ros2/rosidl/issues/683>)
  * Protect rosidl_target_interfaces from using NOTFOUND in include_directories (#679 <https://github.com/ros2/rosidl/issues/679>)
  * Contributors: Jose Luis Rivero, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 20 Jun 2022 22:00:00 -0000

ros-rolling-rosidl-cmake (3.2.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 03 May 2022 22:00:00 -0000

ros-rolling-rosidl-cmake (3.1.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 22:00:00 -0000

ros-rolling-rosidl-cmake (3.1.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 04 Apr 2022 22:00:00 -0000

ros-rolling-rosidl-cmake (3.1.1-1noble) noble; urgency=high

  * Make rosidl_get_typesupport_target return -NOTFOUND instead of FATAL_ERROR (#672 <https://github.com/ros2/rosidl/issues/672>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 27 Mar 2022 22:00:00 -0000

ros-rolling-rosidl-cmake (3.1.0-1noble) noble; urgency=high

  * Add introspection typesupport tests for C/C++ messages (#651 <https://github.com/ros2/rosidl/issues/651>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-rolling-rosidl-cmake (3.0.1-1noble) noble; urgency=high

  * Use target output name for exporting typesupport library (#625 <https://github.com/ros2/rosidl/issues/625>)
  * Contributors: Jonathan Selling

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 12 Jan 2022 23:00:00 -0000

ros-rolling-rosidl-cmake (3.0.0-1noble) noble; urgency=high

  * Update package maintainers (#624 <https://github.com/ros2/rosidl/issues/624>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 04 Nov 2021 23:00:00 -0000

ros-rolling-rosidl-cmake (2.5.0-1noble) noble; urgency=high

  * Revert "Bundle and ensure the exportation of rosidl generated targets" (#611 <https://github.com/ros2/rosidl/issues/611>)
  * Add rosidl_get_typesupport_target and deprecate rosidl_target_interfaces (#606 <https://github.com/ros2/rosidl/issues/606>)
  * Contributors: Michel Hidalgo, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 09 Aug 2021 22:00:00 -0000

ros-rolling-rosidl-cmake (2.4.0-1noble) noble; urgency=high

  * Bundle and ensure the exportation of rosidl generated targets (#601 <https://github.com/ros2/rosidl/issues/601>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 11 Jul 2021 22:00:00 -0000

ros-rolling-rosidl-cmake (2.3.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 10 Jun 2021 22:00:00 -0000

ros-rolling-rosidl-cmake (2.2.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-rolling-rosidl-cmake (2.2.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Mar 2021 23:00:00 -0000

ros-rolling-rosidl-cmake (2.1.0-1noble) noble; urgency=high

  * Shorten some excessively long lines of CMake (#571 <https://github.com/ros2/rosidl/issues/571>)
  * Contributors: Scott K Logan

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 08 Mar 2021 23:00:00 -0000

ros-rolling-rosidl-cmake (2.0.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-rolling-rosidl-cmake (2.0.2-1noble) noble; urgency=high

  * Update the maintainers of this repository. (#536 <https://github.com/ros2/rosidl/issues/536>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 07 Dec 2020 23:00:00 -0000

ros-rolling-rosidl-cmake (2.0.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 27 Sep 2020 22:00:00 -0000

ros-rolling-rosidl-cmake (2.0.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Sep 2020 22:00:00 -0000

ros-rolling-rosidl-cmake (1.1.0-1noble) noble; urgency=high

  * Modifications to python generator lib to return generated files (#511 <https://github.com/ros2/rosidl/issues/511>)
  * Contributors: Alex Tyshka

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 16 Aug 2020 22:00:00 -0000

ros-rolling-rosidl-cmake (1.0.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 02 Jun 2020 22:00:00 -0000

ros-rolling-rosidl-cmake (1.0.0-1noble) noble; urgency=high

  * Fix variable suffix in rosidl_export_typesupport_targets (#483 <https://github.com/ros2/rosidl/issues/483>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 21 May 2020 22:00:00 -0000

ros-rolling-rosidl-cmake (0.9.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 May 2020 22:00:00 -0000

ros-rolling-rosidl-cmake (0.9.1-1noble) noble; urgency=high

  * use typesuport targets instead of libraries (#478 <https://github.com/ros2/rosidl/issues/478>)
  * Contributors: Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 May 2020 22:00:00 -0000

ros-rolling-rosidl-cmake (0.9.0-1noble) noble; urgency=high

  * Use f-string (#436 <https://github.com/ros2/rosidl/issues/436>)
  * Contributors: Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 23 Apr 2020 22:00:00 -0000

ros-rolling-rosidl-cmake (0.8.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 16 Jan 2020 23:00:00 -0000

ros-rolling-rosidl-cmake (0.8.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-rolling-rosidl-cmake (0.8.0-1noble) noble; urgency=high

  * use latin-1 encoding when reading/writing .idl files, prepend BOM to generated C/C++ files when necessary (#391 <https://github.com/ros2/rosidl/issues/391>)
  * fix CMake linter warning (#382 <https://github.com/ros2/rosidl/issues/382>)
  * Contributors: Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 23 Sep 2019 22:00:00 -0000


